TIFFREADRAWSTRIP(3tiff)

NAME
TIFFReadRawStrip - return the undecoded contents of a strip of data from an open TIFF file

SYNOPSIS

            #include <tiffio.h>

    tsize_t TIFFReadRawStrip(TIFF *tif, tstrip_t strip, tdata_t buf, tsize_t size)

DESCRIPTION

Read the contents of the specified strip into the (user supplied) data buffer. Note that the value of strip is a "raw strip number". That is, the caller must take into account whether or not the data is organized in separate planes (PlanarConfiguration = 2). To read a full strip of data the data buffer should typically be at least as large as the number returned by TIFFStripSize() <#c.TIFFStripSize>.

RETURN VALUES

The actual number of bytes of data that were placed in buf is returned; TIFFReadRawStrip() returns -1 if an error was encountered.

DIAGNOSTICS

All error messages are directed to the TIFFErrorExtR() <#c.TIFFErrorExtR> routine.

SEE ALSO

TIFFOpen <> (3tiff), TIFFReadEncodedStrip <> (3tiff), TIFFReadScanline <> (3tiff), TIFFstrip <> (3tiff), libtiff <> (3tiff)

Author
LibTIFF contributors

Copyright
1988-2022, LibTIFF contributors